package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TTitle;

/**
 * 职称信息Service接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface ITTitleService 
{
    /**
     * 查询职称信息
     * 
     * @param id 职称信息主键
     * @return 职称信息
     */
    public TTitle selectTTitleById(Long id);

    /**
     * 查询职称信息列表
     * 
     * @param tTitle 职称信息
     * @return 职称信息集合
     */
    public List<TTitle> selectTTitleList(TTitle tTitle);

    /**
     * 新增职称信息
     * 
     * @param tTitle 职称信息
     * @return 结果
     */
    public int insertTTitle(TTitle tTitle);

    /**
     * 修改职称信息
     * 
     * @param tTitle 职称信息
     * @return 结果
     */
    public int updateTTitle(TTitle tTitle);

    /**
     * 批量删除职称信息
     * 
     * @param ids 需要删除的职称信息主键集合
     * @return 结果
     */
    public int deleteTTitleByIds(Long[] ids);

    /**
     * 删除职称信息信息
     * 
     * @param id 职称信息主键
     * @return 结果
     */
    public int deleteTTitleById(Long id);
}
